# This file is a template, and might need editing before it works on your project.
# https://hub.docker.com/r/google/dart
image: mobiledevops/flutter-sdk-image:2.0.1

variables:

# Cache downloaded dependencies and plugins between builds.
# To keep cache across branches add 'key: "$CI_JOB_NAME"'
cache:
  paths:
    - .pub-cache/global_packages

stages:
  - analyze_and_test

before_script:
  - export PATH="$PATH":"$HOME/.flutter-sdk/.pub-cache/bin"
  - flutter pub get
  - flutter pub global activate junitreport

analyze_and_test:
  stage: analyze_and_test
  script:
    - flutter analyze
    - flutter test --machine | tojunit -o report.xml
  artifacts:
    when: always
    reports:
      junit:
        - report.xml
  tags:
    - shared
  # only:
  #   - merge_requests